%define 	kernelversion	2.6.26
%define		kernelrelease	5
%define		kernel		%{kernelversion}-%{kernelrelease}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	ebtables - Ethernet bridge tables.
Name:      	ebtables
Version:   	2.0.8
Release:   	18
Provides:	ebtables
License: 	GNU/GPL
URL:		http://ebtables.sourceforge.net
Group:     	System/Configuration/Networking
Source0: 	ebtables-v2.0.8-2.tar.gz
Patch0:		ebtables-2.0.8-install.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	kernel-devel = %{kernelversion}-%{kernelrelease}

%description
Ethernet bridge tables.
A firewalling tool to transparently filter network traffic passing a bridge.
The filtering possibilities are limited to link layer filtering and some
basic filtering on higher network layers. Advanced logging, MAC DNAT/SNAT and
brouter facilities are also included. The ebtables tool can be used together
with the other Linux filtering tools, iptables/ip6tables/arptables.
There are no incompatibility issues.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n ebtables-v2.0.8-2
%patch0 -p1

%build
make KERNEL_INCLUDES=/usr/src/kernels/%{kernel}-%{_target_cpu}/include BINDIR=%_sbindir MANDIR=%_mandir INCDIR=%_includedir COPT_FLAGS=-Os

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sysconfig
#make install KERNEL_INCLUDES=/usr/src/kernels/%{kernel}-%{_target_cpu}/include MANDIR=$RPM_BUILD_ROOT%_mandir ETHERTYPESPATH=$RPM_BUILD_ROOT%_sysconfdir BINPATH=$RPM_BUILD_ROOT%_sbindir DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sysconfdir
%_libdir
%_sbindir
%_mandir
      
%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-18
- moved Requires: kernel-devel to BuildRequires: 
- kernel 2.6.26-5
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.8-17
- kernel 2.6.25-11
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-16
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-15
- kernel 2.6.25-6
* Mon Apr 28 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.8-14
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-13
- kernel 2.6.24-10
* Sat Mar 08 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.8-12
- kernel 2.6.24-9
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-11
- update to 2.0.8-2
- kernel 2.6.24-5
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-10
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-9
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-8
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-7
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-6
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-5
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-4
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-3
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-2
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-1
- Version update, RC3
- Kernel 2.6.20-1
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-12
- Kernel 2.6.19-4
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-11
- Kernel 2.6.18-4
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-10
- Kernel 2.6.18-2
* Sun Oct 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-9
- Kernel 2.6.18-1
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-8
- Kernel 2.6.17-3
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-7
- Kernel 2.6.17-2
* Sat Jul 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-6
- Kernel 2.6.17-1
* Mon May 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-5
- Kernel 2.6.16-5
* Wed Apr 19 2006 Christian Wasem <wasem@ccux-linux.de> 2.0.6-4
- Kernel 2.6.16-3
* Mon Jan 31 2006 Christian Wasem <wasem@ccux-linux.de> 2.0.6-3
- built against kernel 2.6.15-8
* Fri Nov 04 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.6-2
- tweaked specfile, built against kernel 2.6.13-8
- added install patch
* Mon Oct 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> CVS100205
- Initial release, built against kernel 2.6.13-5, reused iptables .spec file
